Bug 701626 - [abrt] fedpkg-0.5.9.0-1.fc14: __init__.py:828:retire:UnboundLocalError: local variable 'msg' referenced before assignment
Summary: [abrt] fedpkg-0.5.9.0-1.fc14: __init__.py:828:retire:UnboundLocalError: local...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0deb98b9
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-03 12:07 UTC by Dan Horák
Modified: 2013-01-10 06:36 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-10 13:32:02 UTC


Attachments (Terms of Use)
File: backtrace (735 bytes, text/plain)
2011-05-03 12:07 UTC, Dan Horák
no flags Details

Description Dan Horák 2011-05-03 12:07:23 UTC
abrt version: 1.1.18
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/fedpkg retire 'Dropped by upstream in Tryton 2.0'
comment: running "fedpkg retire" without the message works
component: fedora-packager
executable: /usr/bin/fedpkg
kernel: 2.6.35.12-90.fc14.x86_64
package: fedpkg-0.5.9.0-1.fc14
reason: __init__.py:828:retire:UnboundLocalError: local variable 'msg' referenced before assignment
release: Fedora release 14 (Laughlin)
time: 1304424131
uid: 500

backtrace
-----
__init__.py:828:retire:UnboundLocalError: local variable 'msg' referenced before assignment

Traceback (most recent call last):
  File "/usr/bin/fedpkg", line 1494, in <module>
    args.command(args)
  File "/usr/bin/fedpkg", line 664, in retire
    pyfedpkg.retire(args.path, args.msg)
  File "/usr/lib/python2.7/site-packages/pyfedpkg/__init__.py", line 828, in retire
    fd.write(msg)
UnboundLocalError: local variable 'msg' referenced before assignment

Local variables in innermost frame:
path: '/home/dan/projects/fedora/trytond-google-translate'
message: 'Dropped by upstream in Tryton 2.0'
cmd: ['git', 'rm', '-rf', '.']
fd: <open file '/home/dan/projects/fedora/trytond-google-translate/dead.package', mode 'w' at 0x2099f60>

How to reproduce
-----
1. cd tryton-google-translate
2. fedpkg retire "Dropped by upstream in Tryton 2.0"

Comment 1 Dan Horák 2011-05-03 12:07:25 UTC
Created attachment 496504 [details]
File: backtrace

Comment 2 Jesse Keating 2011-05-04 20:00:48 UTC
Just committed something to fix this.  Thanks for the report.

Comment 3 Fedora Update System 2011-05-28 01:14:26 UTC
fedora-packager-0.5.9.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc15

Comment 4 Fedora Update System 2011-05-28 01:20:33 UTC
fedora-packager-0.5.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc14

Comment 5 Fedora Update System 2011-05-28 01:22:16 UTC
fedora-packager-0.5.9.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc13

Comment 6 Fedora Update System 2011-05-28 01:26:58 UTC
fedora-packager-0.5.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6

Comment 7 Fedora Update System 2011-05-28 01:28:37 UTC
fedora-packager-0.5.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el5

Comment 8 Fedora Update System 2011-05-28 21:32:44 UTC
Package fedora-packager-0.5.9.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.9.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-10 13:31:31 UTC
fedora-packager-0.5.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-15 05:47:54 UTC
fedora-packager-0.5.9.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-15 05:53:01 UTC
fedora-packager-0.5.9.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-16 00:29:53 UTC
fedora-packager-0.5.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-06-16 00:32:59 UTC
fedora-packager-0.5.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.